# SourcePath: shellutils/20041117dev
Summary: The GNU shell programming utilities.
Name: sony-target-dev-shellutils
%define pkgname %{sony_target_config}-dev-shellutils
Version: 2.0.11
Release: 10
License: GPL
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Source: shellutils_%{version}.orig.tar.gz
Patch0: shellutils_%{version}-11.diff.gz
# Removes chinese lang support
Patch1: hhl-remove-zh.diff
Patch2: mvl-shellutils-config_xtensa.patch
Patch3: shellutils_del_declare_malloc1.patch
Patch4: shellutils_del_declare_malloc2.patch
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_cross_target_dir}

%description
The utilities: basename chroot date dirname echo env expr factor false groups
hostid id logname nice nohup pathchk pinky printenv printf pwd seq sleep stty
tee test true tty uname users who whoami yes.

%package -n %{pkgname}
Summary: The GNU shell programming utilities.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
The utilities: basename chroot date dirname echo env expr factor false groups
hostid id logname nice nohup pathchk pinky printenv printf pwd seq sleep stty
tee test true tty uname users who whoami yes.


%prep
%setup -n shellutils-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%sony_target_dev_setup
export ac_cv_func_setvbuf_reversed='no'
# Force use of glibc's strftime
export jm_cv_func_working_gnu_strftime='yes'

%sony_target_dev_configure

make all | tee -a build.log

%install
rm -rf %{buildroot}
%sony_target_dev_setup
mkdir -p %{buildroot}%{sony_cross_target_dir}%{sony_target_prefix}
mkdir -p %{buildroot}%{sony_cross_target_dir}%{sony_target_exec_prefix}
#mkdir -p %{buildroot}%{sony_cross_target_dir}%{sony_target_lib_dir}
#mkdir -p %{buildroot}%{sony_cross_target_dir}%{sony_target_include_dir}
mkdir -p %{buildroot}%{sony_cross_target_dir}%{sony_target_bin_dir}
#mkdir -p %{buildroot}%{sony_cross_target_dir}%{sony_target_man_dir}
#mkdir -p %{buildroot}%{sony_cross_target_dir}%{sony_target_info_dir}
mkdir -p %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_dir}/bin
%sony_target_dev_makeinstall | tee -a build.log

# The procps package is supposed to supply uptime.
rm %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/uptime
rm %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_man_dir}/man1/uptime.1
# The shadow package is supposed to supply su
rm -f %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/su
rm -f %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_man_dir}/man1/su.1
# The hostname package supplies hostname

rm -rf %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_man_dir}
rm -rf %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_info_dir}

rm -rf %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_lib_dir}

# busybox command conflict
# move stuff into /bin to match debian standards
# mv %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/{echo,pwd,sleep,uname,hostname,true,stty,false,date,chroot} %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_dir}/bin

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/chroot
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/date
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/echo
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/false
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/pwd
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/sleep
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/stty
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/true
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/hostname
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/uname
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/basename
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/dirname
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/env
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/expr
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/factor
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/groups
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/hostid
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/id
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/logname
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/nice
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/nohup
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/pathchk
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/pinky
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/printenv
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/printf
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/seq
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/tee
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/test
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/tty
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/users
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/who
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/whoami
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/yes

%changelog
* Fri Apr 28 2005 Sony Corporation
- change command path

* Wed Nov 17 2004 Sony Corporation
- delete online manual

* Tue Oct 27 2004 Sony Corporation
- MVL31=>sony version

* Fri Aug 20 2004 Sony Corporation - dev-shellutils
- Initial build. conformed to 2004-08-25 rule

